#ifndef HISTORY_FILE_H
#define HISTORY_FILE_H
/*
  (c)2023 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/
#include "HistoryRecord.h"
//#include "FS.h"
bool initFileSystem(Print * _debugPtr);
bool initFileSystem();
void listRootDir(Print * out);
bool readHistory(HistoryRecordStruct & historyRecord);
bool writeHistory(HistoryRecordStruct & historyRecord);
bool readHistory(HistoryRecordStruct & historyRecord, Print * out);
bool writeHistory(HistoryRecordStruct & historyRecord, Print * out);
void printHistoryRecord(HistoryRecordStruct &historyRecord, Print* out);
//bool openForOverwrite(File & file, const char* path);
//bool openForRead(File & file, const char * path);
//bool deleteFile(const char * path);
//void writeFile(const char * path, const char * message);
#endif
