// =========  Start of Dwg_1.h generated code ==========
#ifndef DWG_1_H
#define DWG_1_H

//  Dwg_1.h from Dwg_1 by pfodGUIdesigner V1.0.4192
/*
  (c)2023 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class Dwg_1 : public pfodDrawing {
  public:
    Dwg_1(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false
    void updateDwg_1(float _threePhaseWatts, float _solarHotHeaterWatts, bool _hotWaterAuto);

  private:
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void drawDwg0();
    void updateDwg();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_2;
    pfodAutoIdx _update_idx_3;
    pfodAutoIdx _update_idx_4;
    pfodAutoIdx _update_idx_5;
    pfodAutoIdx _update_idx_6;
    pfodAutoIdx _update_idx_7;
    pfodAutoIdx _update_idx_8;
    pfodAutoIdx _update_idx_9;
    float threePhaseWatts;
    float solarHotHeaterWatts;
    float displaykW;
    bool hotWaterAuto;
    bool ExpFlag;
};
#endif
// =========  End of Dwg_1.h generated code ==========
